Package net.sourceforge.jiu.geometry

# Class Mirror

java.lang.Object
net.sourceforge.jiu.ops.Operation
net.sourceforge.jiu.ops.ImageToImageOperation
net.sourceforge.jiu.geometry.Mirror

public class Mirror extends ImageToImageOperation
Mirrors images (leftmost column becomes rightmost column and vice versa, and so on).

Supported image types: `IntegerImage`.

### Usage example

     PixelImage image = ...; // something implementing IntegerImage
     Mirror mirror = new Mirror();
     mirror.setInputImage(image);
     mirror.process();
     PixelImage mirroredImage = mirror.getOutputImage();

Author:
  Marco Schmidt

## Constructor Summary

Constructors
Constructor
Description
`Mirror()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process()`
This method does the actual work of the operation.
`private void`
`process(IntegerImage in, IntegerImage out)`

### Methods inherited from class net.sourceforge.jiu.ops.ImageToImageOperation

`canInputAndOutputBeEqual, ensureImagesHaveSameResolution, ensureInputImageIsAvailable, ensureOutputImageResolution, getInputImage, getOutputImage, setCanInputAndOutputBeEqual, setInputImage, setOutputImage`

### Methods inherited from class net.sourceforge.jiu.ops.Operation

`addProgressListener, addProgressListeners, getAbort, removeProgressListener, setAbort, setProgress, setProgress`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mirror

public Mirror()

## Method Details

### process

private void process(IntegerImage in, IntegerImage out)

### process

public void process() throws MissingParameterException, WrongParameterException
Description copied from class: `Operation`
This method does the actual work of the operation. It must be called after all parameters have been given to the operation object.

Overrides:
  `process` in class `Operation`
Throws:
  `MissingParameterException` - if any mandatory parameter was not given to the operation
  `WrongParameterException` - if at least one of the input parameters was not initialized appropriately (values out of the valid interval, etc.)